Subject: [Tigers] Facet Fuel Pump Noise

From: Stu <[email-masked]>
Date: Wed, 10 Dec 2014 21:26:29 -0500

I just replaced my ancient Facet pump with a new one (40104)  The old one
was quite noisy when dry or vapor locked, but settled down to a gentle
clatter when actually pumping fuel.  The new one is maybe a little noisier
when dry, but still makes quite a clattering commotion when wet.  It is
bolted directly to sheet metal, not rubber isolated or anything.  And once
the engine starts, it is drowned out.  It seems to be pumping OK.

I'm just curious, is this normal for the Facets of today?

Stu
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]